# Subscribe contacts to app inbox campaigns

When app inbox is properly configured, and SDKs are integrated in your application, an app inbox will be created for the contact. This enables you to build user [Journeys](https://docs.bird.com/applications/automation/journeys) that include sending app inbox messages.

In order to include the contact in app inbox [Campaigns](https://docs.bird.com/applications/campaigns/campaigns), you can subscribe the contact by setting the `subscribedAppInbox` attribute.

{% tabs %}
{% tab title="Android (Kotlin)" %}

```kotlin
val attributes = Attributes()
    .put("displayName", "Roy Glass")
    .put("subscribedAppInbox", true)
bird?.contact?.putAttributes(attributes) 
```

{% endtab %}

{% tab title="iOS (Swift)" %}

```swift
let attributes = Attributes()
    .put("displayName", "Roy Glass")
    .put("subscribedAppInbox", true)
bird?.contact.putAttributes(attributes: attributes)
```

{% endtab %}

{% tab title="Web (JavaScript)" %}

```javascript
Bird.eventTarget.addEventListener('bird-sdk-initialized', async () => {
  await Bird.contact.putAttributes({
    displayName: "Roy Glass",
    subscribedAppInbox: true,
  });
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/client-sdks/app-inbox/subscribe-contacts-to-app-inbox-campaigns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
